Bug Hunting Session
Bug 124586 - Crash if switch from user outline numbering to chapter numbering with same paragraph style
Summary: Crash if switch from user outline numbering to chapter numbering with same pa...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: highest critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chapter-Numbering
  Show dependency treegraph
 
Reported: 2019-04-07 12:19 UTC by Regina Henschel
Modified: 2019-06-12 12:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwNodeNum::ChangeNumRule(SwNumRule &)"]


Attachments
document to switch to chapter numbering (19.08 KB, application/vnd.oasis.opendocument.text)
2019-04-07 12:19 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-04-07 12:19:45 UTC
Created attachment 150577 [details]
document to switch to chapter numbering

Open attached document. It has a paragraph style "MyHeading". This style is set to Outline Level 1 with associated list style "Numbering ABC".
Goto Tools > Chapter Numbering.
Select style "MyHeading" for level 1.
==> Crash
Comment 1 Dieter Praas 2019-04-07 13:08:01 UTC
I confirm the crash with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded


and

Version: 6.2.2.2 (x64)
Build-ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

crashreport.libreoffice.org/stats/crash_details/91d4d755-88e2-4b50-b292-86cba7ac1dd0

All crashes with that signature in LO 6.2
Comment 2 Oliver Brinzing 2019-04-07 15:40:42 UTC
no crash with:

Version: 6.1.5.2 (x64)
Build-ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc:
Comment 3 Oliver Brinzing 2019-04-07 16:09:00 UTC
seem to have started with:

https://gerrit.libreoffice.org/plugins/gitiles/core/+/c180c9447256588fe5e7991e06642883574760ae

commit	c180c9447256588fe5e7991e06642883574760ae	[log]
author	Michael Stahl <Michael.Stahl@cib.de>	Fri Oct 19 15:27:09 2018 +0200
committerMichael Stahl <Michael.Stahl@cib.de>	Thu Nov 15 15:10:00 2018 +0100
tree	6e5c1dbc25420967ccdb77aa698b3110f74b8a11
parent	ccac1f179d0f6ed9c5ba5ac2d29070c4e62b7e1e [diff]

sw_redlinehide_3: add second SwNodeNum to SwTextNode

Change-Id: I62ebdb92ee384905bba9ef3865fcdb306775baf2
    sw/inc/ndtxt.hxx[diff]
    sw/source/core/txtnode/ndtxt.cxx[diff]
2 files changed

$ git bisect bad
484cc682678e2cf09ec8fbd32bd059e59a1da5ff is the first bad commit
commit 484cc682678e2cf09ec8fbd32bd059e59a1da5ff
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Nov 15 09:15:34 2018 -0800
    source sha:c180c9447256588fe5e7991e06642883574760ae
    source sha:c180c9447256588fe5e7991e06642883574760ae
:040000 040000 28ad930e1a3ca5af37586ff6e45e0bd9c3e4eb3b 131cb81142f532a7d449aba11105207a51a5a05f M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.2
$ git bisect log
# bad: [d60ae8383378fcecc7ab077670bf45208a214c71] source sha:e45c30858dec1dd705b9144fab981a3c8819ba96
# good: [b0a56ec98b1368cb5e3e531e0b3f69565af91609] source sha:3a801799536e6870f2fb111b1cc00b9575a35a39
git bisect start 'master' 'oldest'
# good: [5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e] source sha:8bcc4a98d78869d6839821b9747602777f00ebaf
git bisect good 5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e
# good: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect good 1473ee9b216ec27c5410a08036aef0a4b857841c
# good: [9fbd095c4236de2f48da51d83c976a942dfa6a31] source sha:8ff55c16e853600fdac6164d34ff35421a1f112e
git bisect good 9fbd095c4236de2f48da51d83c976a942dfa6a31
# good: [27454ec8bb96a7fc768bddfcf7e19099936d098a] source sha:9553f2afd0527ba435dae7bf4506c620a943b150
git bisect good 27454ec8bb96a7fc768bddfcf7e19099936d098a
# bad: [94eecb1ddc570e0f8c253b2d48d415cca763d228] source sha:1d988778095ecbe84f1a1002511377d0708b3443
git bisect bad 94eecb1ddc570e0f8c253b2d48d415cca763d228
# good: [8f7242666fcc683ddbf86bf3d4b77d15b26dae2e] source sha:e1dc8eb76d303ad37549047d725dd8bdb168fd9c
git bisect good 8f7242666fcc683ddbf86bf3d4b77d15b26dae2e
# bad: [55d7acf95bc4cfce078cd108a5fbf1645f0db227] source sha:2d89cd4a1dc3c1f4193475618f222896f9a01207
git bisect bad 55d7acf95bc4cfce078cd108a5fbf1645f0db227
# bad: [27c36a7d1a281d108d36c86f0554455ad08fb3aa] source sha:fce1bbdb24f188a66e3fe810dc486fb5bf86c6b6
git bisect bad 27c36a7d1a281d108d36c86f0554455ad08fb3aa
# good: [e9a2f3a6ea68adb9a2dbc52805e5c1b2f72b30dd] source sha:2fcde5fa432a3928605bfb6f22d30dc07b9c1652
git bisect good e9a2f3a6ea68adb9a2dbc52805e5c1b2f72b30dd
# bad: [fdfc91f559618b947400167d38a52fe322f2941e] source sha:6eebecf39a9e634cccad50ede29d281a6bfd24c8
git bisect bad fdfc91f559618b947400167d38a52fe322f2941e
# good: [0cdfb8f2a9efad2a1d4d3ade4b8de89b48bd2624] source sha:31f841dbe952554decacae7017445489e5f715a5
git bisect good 0cdfb8f2a9efad2a1d4d3ade4b8de89b48bd2624
# good: [9d2d74568c02eccaa1ffc6a413469f675bd83854] source sha:ccac1f179d0f6ed9c5ba5ac2d29070c4e62b7e1e
git bisect good 9d2d74568c02eccaa1ffc6a413469f675bd83854
# bad: [484cc682678e2cf09ec8fbd32bd059e59a1da5ff] source sha:c180c9447256588fe5e7991e06642883574760ae
git bisect bad 484cc682678e2cf09ec8fbd32bd059e59a1da5ff
# first bad commit: [484cc682678e2cf09ec8fbd32bd059e59a1da5ff] source sha:c180c9447256588fe5e7991e06642883574760ae
Comment 4 Xisco Faulí 2019-04-08 08:19:27 UTC
Also reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 3e0092031b73bad107e3122d5d4be2f5bd487744
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-04-10 08:17:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7587e39014c1b6ed505e9c10d9f0f0803fc986ac%5E%21

tdf#124586 sw_redlinehide: fix crash in SwTextNode::NumRuleChgd()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2019-04-10 08:18:48 UTC
fixed on master
Comment 7 Commit Notification 2019-04-10 13:44:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4c8f8038459c503121adb895129101dd4b2923a9%5E%21

tdf#124586 sw_redlinehide: fix crash in SwTextNode::NumRuleChgd()

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-04-12 10:10:09 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 90b13c2c406ec2cdddfa6580edb401c0d07feae6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 9 Commit Notification 2019-05-31 18:54:35 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1ee64eb345ef116e19a63dc97f791e80ba38fe80%5E%21

uitest for bug tdf#124586

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.